import { PropType, ExtractPropTypes } from 'vue';
import { EChartsOption } from 'echarts';

export declare const basicBarProps: {
    width: {
        type: PropType<number>;
        default: number;
    };
    height: {
        type: PropType<number>;
        default: number;
    };
    dataSource: any;
    title: {
        type: PropType<EChartsOption["title"]>;
    };
    legend: {
        type: PropType<EChartsOption["legend"]>;
    };
    backgroundColor: {
        type: PropType<string>;
    };
    grid: {
        type: PropType<EChartsOption["grid"]>;
    };
    tooltip: {
        type: PropType<EChartsOption["tooltip"]>;
    };
    xAxis: {
        type: PropType<EChartsOption["xAxis"]>;
    };
    yAxis: {
        type: PropType<EChartsOption["yAxis"]>;
    };
    series: {
        type: PropType<EChartsOption["series"]>;
    };
    color: {
        type: PropType<EChartsOption["color"]>;
    };
};
export declare const defaultPropsValue: EChartsOption;
export type BasicBarProps = ExtractPropTypes<typeof basicBarProps>;
