export const asyncComponentAll = {
  Title: () => import('./text/Title'),
  BasicLine: () => import('./charts/Line/BasicLine'),
  BasicBar: () => import('./charts/Bar/BasicBar'),
  BasicPie: () => import('./charts/Pie/BasicPie'),
}

export { DataSourceType } from './charts/chartEnum';
export type { DataSource, ChartData } from './charts/types';

/* 标题 */
import { default as Title } from './text/Title'; 

/* 基础折线图 */
import { default as BasicLine } from './charts/Line/BasicLine';
export { 
  Config as BasicLineConfig,
  defaultPropsValue as BasicLineDefaultProps,
  basicLineProps as BasicLineProps
} from './charts/Line/BasicLine';

/* 基础柱形图 */
import { default as BasicBar } from './charts/Bar/BasicBar/src/BasicBar.vue';
export { 
  Config as BasicBarConfig,
  defaultPropsValue as BasicBarDefaultProps,
  basicBarProps as BasicBarProps
} from './charts/Bar/BasicBar';

/* 基础饼图 */
import { default as BasicPie } from './charts/Pie/BasicPie/src/BasicPie.vue';
export { 
  Config as BasicPieConfig,
  defaultPropsValue as BasicPieDefaultProps,
  basicPieProps as BasicPieProps
} from './charts/Pie/BasicPie';

export type { IFormItem } from './cusForm';
export { CusForm } from './cusForm';

export const components = {
  BasicLine,
  BasicBar,
  Title,
  BasicPie
}

export {
  BasicLine,
  BasicBar,
  Title,
  BasicPie
}